AlmaLinux 2226 Published by

A nodejs security update has been released for AlmaLinux 9.



ALSA-2023:3586 Important: nodejs security update


Type:
security

Severity:
important

Release date:
2023-06-23

Description
Security Fix(es):
* c-ares: 0-byte UDP payload Denial of Service (CVE-2023-32067)
* c-ares: Buffer Underwrite in ares_inet_net_pton() (CVE-2023-31130)
* c-ares: Insufficient randomness in generation of DNS query IDs (CVE-2023-31147)
* c-ares: AutoTools does not set CARES_RANDOM_FILE during cross compilation (CVE-2023-31124)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References:
CVE-2023-31124
CVE-2023-31130
CVE-2023-31147
CVE-2023-32067
RHSA-2023:3586
ALSA-2023:3586

Updates packages:
nodejs-16.19.1-2.el9_2.aarch64.rpm
nodejs-full-i18n-16.19.1-2.el9_2.ppc64le.rpm
nodejs-16.19.1-2.el9_2.ppc64le.rpm
nodejs-full-i18n-16.19.1-2.el9_2.s390x.rpm
nodejs-full-i18n-16.19.1-2.el9_2.x86_64.rpm
nodejs-libs-16.19.1-2.el9_2.x86_64.rpm
nodejs-libs-16.19.1-2.el9_2.ppc64le.rpm
nodejs-libs-16.19.1-2.el9_2.aarch64.rpm
nodejs-libs-16.19.1-2.el9_2.i686.rpm
nodejs-16.19.1-2.el9_2.s390x.rpm
npm-8.19.3-1.16.19.1.2.el9_2.ppc64le.rpm
nodejs-full-i18n-16.19.1-2.el9_2.aarch64.rpm
npm-8.19.3-1.16.19.1.2.el9_2.x86_64.rpm
npm-8.19.3-1.16.19.1.2.el9_2.aarch64.rpm
npm-8.19.3-1.16.19.1.2.el9_2.s390x.rpm
nodejs-docs-16.19.1-2.el9_2.noarch.rpm
nodejs-libs-16.19.1-2.el9_2.s390x.rpm
nodejs-16.19.1-2.el9_2.x86_64.rpm

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2023:3586 Important: nodejs security update